$input-status-icon-size: 20px;
$valid-color: $rate-up;
$invalid-color: $rate-down;
$input-border: 0;
$input-border-focus: 0;
$input-shadow: none;
$the-top-bar-height: 45px;
$input-shadow-focus: none;
$transition-duration: 250ms;
$login-green: #43a047;
@import './validation';
@import './floating';
@import './file-input';

.login-register-container {
  // align-items: center;
  display: flex;
  flex-flow: column nowrap;
  justify-content: space-between;
  // flex-direction: column;
  // background-color: lime;
  margin: auto 22px;
  min-height: calc(100vh - #{$the-top-bar-height});

  // uncomment the components you want the side validation icon to be shown
  [type='text'],
  [type='password'],
  [type='date'],
  // [type='datetime'],
  // [type='datetime-local'],
  // [type='month'],
  // [type='week'],
  [type='email'],
  // [type='number'],
  // [type='search'],
  // [type='tel'],
  // [type='time'],
  // [type='url'],
  // [type='color'],
  textarea,
  select {
    @include font-size(16);
    @include transition(border-color $transition-duration ease-in-out);
    background-color: transparent;
    border-bottom: 1px solid $medium-gray;
    border-radius: 0;
    color: $black;
  }

  .button {
    @include font-size(17);
    border-radius: 0;
  }

  [type="submit"] {
    font-weight: bold;
   }

} // end of container

.login-forgot,
.login-or {
  @include font-size(14);
  color: $medium-gray-2;
  margin: 8px auto;
  padding-right: 8px;
  width: 100%;
}

.login-forgot {
  color: $dark-gray;
  float: right;
  margin-bottom: 25px;
  text-align: right;
}

.login-or {
  text-align: center;
}

.action-green {
  background-color: $login-green;
}

button.login {
  @extend .action-green;
    margin: 0;
}

.social-login-register {
  margin: 0 8px;
  a {
    margin: 0;
  }
} // end of social login

.sign-up {
    // margin: auto -30px;
    display: flex;
    align-self: baseline;
    background-color: $medium-gray-3;
    left: -30px;
    margin: 16px 0 0 0;
    position: relative;
    width: 100vw!important;
  }
  .term-row {
    align-items: center;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    margin: 1rem $global-margin;
    a {
      color: $black;
      font-weight: bold;
    } 
    .switch {
      margin-bottom: 0;
      margin-left: $global-margin;
    }
  }